=== debian/changelog ===
deskflow (1.22.0+dfsg-7) unstable; urgency=medium

  * debian/control
    * Drop needless architecture-is-little-endian

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 02 Jul 2025 19:01:03 +0900

deskflow (1.22.0+dfsg-6) unstable; urgency=medium

  * debian/control
    * Use unsupported-architecture explicitly

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 02 Jul 2025 13:16:12 +0900

deskflow (1.22.0+dfsg-5) unstable; urgency=medium

  * Drop broken autopkgtest case

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 01 Jul 2025 10:10:25 +0900

deskflow (1.22.0+dfsg-4) unstable; urgency=medium

  * debian/tests
    * Add minimum autopkgtests
  * debian/rules
    * Fix P:trailing-whitespace

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 30 Jun 2025 18:43:59 +0900

deskflow (1.22.0+dfsg-3) unstable; urgency=medium

  * debian/control
    * Use architecture-is-little-endian appropriately

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 02 Jun 2025 11:05:32 +0900

deskflow (1.22.0+dfsg-2) unstable; urgency=medium

  * debian/patches/omit-little-endian-unittests.patch
    - Add patch to omit little endian specific tests

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 01 Jun 2025 19:36:07 +0900

deskflow (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.22.0+dfsg
  * debian/patches/disable-update-check.patch
    - Refresh patch for disabling auto update check

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 31 May 2025 22:38:00 +0900
