=== debian/watch ===
version=4
opts=\
  "searchmode=plain,\
  repack,\
  dversionmangle=auto,\
  repacksuffix=+dfsg,\
  filenamemangle=s/v([\d\.]+)/deskflow-$1.tar.gz/" \
  https://api.github.com/repos/deskflow/deskflow/tags \
  https://api.github.com/repos/deskflow/deskflow/tarball/refs/tags/v([\d\.]+)
