=== src/apps/deskflow-client/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
   )
 elseif(UNIX)
   install(TARGETS ${target} DESTINATION bin)
-  generate_app_man(${target})
+  generate_app_man(${target} "${CMAKE_PROJECT_DESCRIPTION} \\(Client\\)")
 elseif(WIN32)
   install(
     TARGETS ${target}
