=== src/lib/arch/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,6 @@
     win32/ArchMultithreadWindows.h
     win32/ArchNetworkWinsock.cpp
     win32/ArchNetworkWinsock.h
-    win32/ArchSleepWindows.cpp
-    win32/ArchSleepWindows.h
-    win32/ArchTimeWindows.cpp
-    win32/ArchTimeWindows.h
     win32/XArchWindows.cpp
     win32/XArchWindows.h
   )
@@ -34,10 +30,6 @@
     unix/ArchMultithreadPosix.h
     unix/ArchNetworkBSD.cpp
     unix/ArchNetworkBSD.h
-    unix/ArchSleepUnix.cpp
-    unix/ArchSleepUnix.h
-    unix/ArchTimeUnix.cpp
-    unix/ArchTimeUnix.h
     unix/XArchUnix.cpp
     unix/XArchUnix.h
   )
@@ -52,10 +44,8 @@
   IArchLog.h
   IArchMultithread.h
   IArchNetwork.h
-  IArchSleep.h
   ArchString.cpp
   ArchString.h
-  IArchTime.h
   XArch.h
 )
