=== debian/changelog ===
deskflow (1.23.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.23.0+dfsg

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 09 Aug 2025 19:57:57 +0900
