=== debian/tests/control ===
Tests: deskflow-client.sh, deskflow-server.sh
Depends: @builddeps@, deskflow
